package tvt2009;

public class Calculator {

	public Integer displayValue;
	
	/**
	 * Constructs a new calculator instance. Initial display-value is 0.
	 */
	public Calculator() {
		displayValue = 0;
	}
	
	
	public Calculator setDisplayValueTo(Integer newValue) {
		displayValue = newValue;
		return this;
	}
	
	
	public Calculator add(Integer x) {
		displayValue = new Integer(displayValue.intValue() + x.intValue());
	    return this;
	}
	
	
	public Calculator subtract(Integer x) {
	    displayValue = new Integer(displayValue.intValue() - x.intValue());
	    return this;
	}
	
	
	public Integer getDisplayValue() {
		return displayValue;
	}

}
