package tvt2009;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

public class CalculatorTest {

	private Calculator calculator;

	
	/**
	 * Executed before every method annotated with annotation @Test.
	 */
	@Before
	public void setUp() {
		calculator = new Calculator();
	}
	
	
	/**
	 * Tests:
	 *   0 + 11 = 11
	 *  11 +  5 = 16
	 */
	@Test
	public void testAdd() {
		// 0 + 11 = 11?
		calculator.add(new Integer(11));
		assertEquals(calculator.getDisplayValue(), new Integer(11));
		
		// 11 + 5 = 16?
		calculator.add(new Integer(5));
		assertEquals(calculator.getDisplayValue(), new Integer(16));		
	}

	
	/**
	 * Tests:
	 *  20 -  8 = 12
	 *  12 -  5 =  7
	 */
	@Test
	public void testSubtract() {
		// 20 - 8 = 12?
		calculator
			.setDisplayValueTo(new Integer(20))
			.subtract(new Integer(8));
		
		assertEquals(calculator.getDisplayValue(), new Integer(12));

		// 12 - 5 = 7?
		calculator.subtract(new Integer(5));
		assertEquals(calculator.getDisplayValue(), new Integer(7));

	}
	
}


